DHDomainParameters (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.x9

## Class DHDomainParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x9.DHDomainParameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

  Deprecated.
  use DomainParameters

      public class DHDomainParameters
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DHDomainParameters(ASN1Integer p, ASN1Integer g, ASN1Integer q, ASN1Integer j, DHValidationParms validationParms)` Deprecated.
    `DHDomainParameters(java.math.BigInteger p, java.math.BigInteger g, java.math.BigInteger q, java.math.BigInteger j, DHValidationParms validationParms)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Integer` | `getG()` Deprecated.
    `static DHDomainParameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Deprecated.
    `static DHDomainParameters` | `getInstance(java.lang.Object obj)` Deprecated.
    `ASN1Integer` | `getJ()` Deprecated.
    `ASN1Integer` | `getP()` Deprecated.
    `ASN1Integer` | `getQ()` Deprecated.
    `DHValidationParms` | `getValidationParms()` Deprecated.
    `ASN1Primitive` | `toASN1Primitive()` Deprecated. Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DHDomainParameters

          public DHDomainParameters(java.math.BigInteger p,
                            java.math.BigInteger g,
                            java.math.BigInteger q,
                            java.math.BigInteger j,
                            DHValidationParms validationParms)

      Deprecated.

    - #### DHDomainParameters

          public DHDomainParameters(ASN1Integer p,
                            ASN1Integer g,
                            ASN1Integer q,
                            ASN1Integer j,
                            DHValidationParms validationParms)

      Deprecated.

  - ### Method Detail

    - #### getInstance

          public static DHDomainParameters getInstance(ASN1TaggedObject obj,
                                       boolean explicit)

      Deprecated.

    - #### getInstance

          public static DHDomainParameters getInstance(java.lang.Object obj)

      Deprecated.

    - #### getP

          public ASN1Integer getP()

      Deprecated.

    - #### getG

          public ASN1Integer getG()

      Deprecated.

    - #### getQ

          public ASN1Integer getQ()

      Deprecated.

    - #### getJ

          public ASN1Integer getJ()

      Deprecated.

    - #### getValidationParms

          public DHValidationParms getValidationParms()

      Deprecated.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Deprecated.
      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.